Subject: Re: bug#67611: [PATCH] Add a Pcase pattern `cl-lambda` equivalent to `cl-destructuring-bind`

From: João Távora <[email-masked]>
Date: Thu, 11 Jan 2024 21:56:06 +0000

On Thu, Jan 11, 2024 at 9:12 PM Stefan Kangas <[email-masked]> wrote:

> Thanks for the patch.  I can only echo the sentiment already given here,
> that making `pcase' more complex won't do much for its popularity.

This sentiment is not unanimous.  If pcase is naturally extensible,
using that ability is not making it more complex.  That'd be akin
to saying "defun" is made more complex because too many functions
are popping up.

Just wanted register this position. Though I don't know for sure if
the patch is simply adding a new extension to pcase or changing
its core structure.

I wish Okamsn would show one or two simple examples usage
of something you can't do with pcase today, but you would be
able to with the patch.

João